List
curl --request GET \
--url https://{defaultHost}/v1/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/shipments"
},
"data": [
{
"id": "ce6bc6fd-17b7-4160-b8da-2eb5d0eb1d06",
"object": "shipment",
"carrier": null,
"carrier_messages": [],
"contact_validations": null,
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"eta": null,
"inherit_weight": false,
"label_file_type": "PDF",
"label_url": null,
"live_mode": true,
"rates": [],
"selected_rate": null,
"shipping_date": 1782432000,
"status": "draft",
"tracking_number": null,
"tracking_status": null,
"tracking_url": null,
"weight": "2.0",
"weight_unit": "lb",
"from_contact": "66900dd3-38c0-4337-8d14-cf1aed6ebdf4",
"fulfillment": "519e5469-e067-4019-8ab9-701f23559628",
"parcel_template": null,
"shipping_provider": "f07d70da-482b-47ee-b389-f18b8a90d22d",
"to_contact": "9312ace1-5dbc-472b-b663-f2b51cdb84f7",
"created_at": 1782485898,
"updated_at": 1782485898
}
]
}Shipments
List
Returns a list of your shipments.
GET
/
v1
/
shipments
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given fulfillments.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects with the given status.
Was this page helpful?
⌘I